using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class frmMain : Form
    {
        
        public frmMain()
        {
            InitializeComponent();
            PublicVarClass.pointBDetermined = false;
            PublicVarClass.pointCDetermined = false;
            PublicVarClass.pointDDetermined = false;
            PublicVarClass.loadSetting();
        }

        

        private void btnAuto_Click(object sender, EventArgs e)
        {
            PublicVarClass.isAuto = true;
            frmState formState = new frmState(this);
            formState.showMe();
            
        }

        private void btnManual_Click(object sender, EventArgs e)
        {
            PublicVarClass.isAuto = false;
            frmState formState= new frmState(this);
            formState.showMe();
        }

        private void btnSettings_Click(object sender, EventArgs e)
        {
            frmSettings formSettings = new frmSettings(this);
            formSettings.Show();
        }

        private void btnAboutUs_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Pooya Bani Zamani \nShiraz University\npooya.zamani1@yahoo.com");
        }

        private void frmMain_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Close();
            Application.Exit();
        }
    }
}
